UNAME(1)

NAME
uname - display information about the system

SYNOPSIS
uname [ -amnrsv ]
uname -V

DESCRIPTION
By default, the uname command writes the name of the operating system implementation to standard output. When options are specified, strings representing one or more system characteristics are written to standard output.

OPTIONS

-a  Behave as though the options -m, -n, -r, -s, and -v were specified.

-m  Write the type of the current hardware platform to standard output.

-n  Write the name of the system to standard output.

-r  Write the current release level of the operating system to standard output.

-s  Write the name of the operating system implementation to standard output.

-v  Write the version level of this release of the operating system to standard output.

-V  Write version information for the uname command and exit.

If the -a flag is specified, or multiple flags are specified, all output is written on a single line, separated by spaces.

RETURN VALUES
The uname utility exits 0 on success, and >0 if an error occurs.

VERSION
This manual page documents uname version 3.0.

HISTORY
Version 1.0 (February 1994) of uname for GNO was written by Phil Vandry <vandry@cam.org>. Version 2.0 (September 1994) was written by Ian Schmidt <irsman@drift.winternet.com>.

STANDARDS
The uname command is expected to conform to the IEEE Std1003.2 (``POSIX.2'') specification.

SEE ALSO
uname(3)